View Issue Details

IDProjectCategoryView StatusLast Update
0001555FreeCADBugpublic2015-01-04 00:01
ReporterarudzinsAssigned Towmayer 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSLinuxOS VersionDebian Unstable
Product Versiontrunk 
Target VersionFixed in Version0.15 
Summary0001555: On load imported VRML objects are positioned at (0,0,0)
DescriptionWhen opening a design, all objects imported from VRML files are positioned at (0,0,0). To restore their correct positions it is necessary to open Data->Placement form and close it (even by pressing "cancel"). I have not found a way to do it without opening this form. The same applies to objects imported from Inventor files.
Steps To Reproduce1) Create a design, import an object from a VRML file.
2) Assign a position to this object.
3) Save.
4) Close design.
5) Open the design.
TagsNo tags attached.

Relationships

has duplicate 0001784 closedwmayer Not correct placement Vrml 3D at open file 

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master 763eb132

2014-08-21 21:46:03

wmayer

Details Diff
+ respect placement in VRML and Inventor objects Affected Issues
0001555, 0001784
mod - src/Gui/ViewProviderInventorObject.cpp Diff File
mod - src/Gui/ViewProviderVRMLObject.cpp Diff File

Issue History

Date Modified Username Field Change
2014-05-18 21:28 arudzins New Issue
2015-01-03 23:56 wmayer Relationship added has duplicate 0001784
2015-01-04 00:00 wmayer Changeset attached => FreeCAD Master master 763eb132
2015-01-04 00:01 wmayer Status new => closed
2015-01-04 00:01 wmayer Assigned To => wmayer
2015-01-04 00:01 wmayer Resolution open => fixed
2015-01-04 00:01 wmayer Fixed in Version => 0.15